a {
  font-size: var(--crp-fs-body-base);
  line-height: var(--crp-lh-body-base);
  color: var(--crp-color-navy);
  font-family: var(--crp-ff-body);
  font-style: normal;
  font-weight: var(--crp-fw-regular);
  text-decoration: underline;
  -webkit-text-decoration: underline currentColor;
          text-decoration: underline currentColor;
  transition: all 0.25s var(--transition-easeInOutQuad);
  width: -moz-fit-content;
  width: fit-content;
}
a:hover, a:focus {
  cursor: pointer;
  text-decoration: underline;
  -webkit-text-decoration: underline transparent;
          text-decoration: underline transparent;
}

.c-link {
  font-size: var(--crp-fs-body-base);
  line-height: var(--crp-lh-body-base);
  color: var(--crp-color-navy);
  font-family: var(--crp-ff-body);
  font-style: normal;
  font-weight: var(--crp-fw-regular);
  -webkit-text-decoration: none;
  text-decoration: none;
  width: -moz-fit-content;
  width: fit-content;
}
.c-link:hover, .c-link:focus {
  color: var(--crp-color-navy);
  -webkit-text-decoration: none;
  text-decoration: none;
}
.c-link.c-link--draw .c-link__text {
  background-size: 0;
}
.c-link.c-link--draw:hover .c-link__text, .c-link.c-link--draw:focus .c-link__text {
  background-size: 100%;
}
.c-link.c-link--erase .c-link__text {
  background-size: 100%;
}
.c-link.c-link--erase:hover .c-link__text, .c-link.c-link--erase:focus .c-link__text {
  background-size: 0;
}

.c-link__text {
  background-image: linear-gradient(180deg, transparent 0, transparent calc(100% - 1px), currentColor calc(100% - 1px), currentColor 100%);
  background-position: 0 -4px;
  background-repeat: no-repeat;
  position: relative;
  -webkit-text-decoration: none;
  text-decoration: none;
  transition: background-size 0.25s var(--transition-easeInOutQuad);
}